import { jsx } from "react/jsx-runtime";
import { TokenMMF as TokenMMF$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMMF = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MMF", "data-name": "TokenMMF", ...props, children: /* @__PURE__ */ jsx(TokenMMF$1, { variant }) });
  }
);
TokenMMF.displayName = "TokenMMF";
Object.assign(TokenMMF, { isGdsIcon: true });
export {
  TokenMMF
};
